#!/bin/sh

#######################################################################
# Program: trackbuild.bash
# Purpose: Launch bash ARM build script from slacktrack
# Author : Stuart Winter <stuart@polplex.co.uk>
#######################################################################

PACKAGE=bash
VERSION=2.05b
ARCH=arm
BUILD=1
SLACKPACKAGE="${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.tgz"

# We don't want to overwrite my working Intel bash with an ARM version :)
which slacktrack >/dev/null 2>&1 || { echo "slacktrack not installed.  Cannot build without it" ; exit 1 ;}

# Download source
#./download.source

# Source the cross compile ARM environment variables
source /armedslack/source/armslack-utils/arm-cross-envs.sh

slacktrack -l${ARMBUILDLOG}/${PACKAGE}.log \
           -b${BUILDSTORE}/a               \
           -cN${ARMSTRIPPROG}              \
           -fezSUIp ${SLACKPACKAGE} "/bin/sh -x bash.build ${VERSION}"

#EOF

